package com.hamaf.hikyakucms.sample.schedule.ui;

import com.hamaf.hikyakucms.sample.schedule.dto.ScheduleDto;
import com.hamaf.hikyakucms.sample.schedule.process.ScheduleProcess;
import com.hamaf.hikyakucms.sample.schedule.ui.mapping.ScheduleMap;
import com.hamaf.hikyaku.dataobject.CommonMessage;
import com.hamaf.hikyaku.dataobject.DetailItemsInterface;
import com.hamaf.hikyaku.ui.StandardDetailProcess;

public class ScheduleModIni extends StandardDetailProcess {

	public ScheduleModIni() {
		_jim = new ScheduleMap();
	}

	@Override
	protected DetailItemsInterface callControl(DetailItemsInterface dii)
			throws Exception {
		ScheduleProcess sp = new ScheduleProcess();
		return sp.findbyprimarykey((ScheduleDto)dii);
	}

	@Override
	protected DetailItemsInterface newDataObj() {
		return new ScheduleDto();
	}

  /* ( Javadoc)
   * @see com.hamaf.hikyaku.ui.StandardDetailProcess#setKeys(com.hamaf.hikyaku.dataobject.DetailItemsInterface, com.hamaf.hikyaku.dataobject.CommonMessage)
   */
  @Override
  protected boolean setKeys(DetailItemsInterface dii, CommonMessage msg) {
    dii.setItemValue(ScheduleDto.USER_ID, getUserID());
    dii.setItemValue(ScheduleDto.SEQNO, msg.getReqStr("seq"));
    return true;
  }

}
