package com.hamaf.hikyakucms.sample.schedule.ui;

import com.hamaf.hikyakucms.sample.schedule.access.TargetAccess.TARGET_KBN;
import com.hamaf.hikyakucms.sample.schedule.dto.TargetDto;
import com.hamaf.hikyakucms.sample.schedule.process.TargetProcess;
import com.hamaf.hikyakucms.sample.schedule.ui.mapping.TargetMap;
import com.hamaf.hikyaku.dataobject.CommonMessage;
import com.hamaf.hikyaku.dataobject.DetailItemsInterface;
import com.hamaf.hikyaku.ui.StandardUpdateProcess;

/**
 * <p>^CgFTargetUserDel is .</p>
 * <p>FΏۃe[ũ[U[̍폜</p>
 * <br>
 *
 * <p>쌠: Copyright (c) 2011/02/19</p>
 * @author Yoshinori
 * @version 1.0
 *
 */
public class TargetUserDel extends StandardUpdateProcess {

	private TargetProcess _tp = null;
	/**
	 * Creates a new <code>TargetUserDel.java</code> instance.
	 * <br>Default Constructor
	 */
	public TargetUserDel() {
		_jim = new TargetMap();
		_tp = new TargetProcess();
	}

	/* ( Javadoc)
	 * @see com.hamaf.hikyaku.ui.StandardUpdateProcess#newDataObj()
	 */
	@Override
	protected DetailItemsInterface newDataObj() {
		return new TargetDto();
	}

	/* ( Javadoc)
	 * @see com.hamaf.hikyaku.ui.StandardUpdateProcess#callControl(com.hamaf.hikyaku.dataobject.DetailItemsInterface, com.hamaf.hikyaku.dataobject.CommonMessage)
	 */
	@Override
	protected CommonMessage callControl(DetailItemsInterface dii,
			CommonMessage msg) throws Exception {
		dii.setItemValue(TargetDto.KUBUN, TARGET_KBN.USER.getValue());
		_tp.delete((TargetDto)dii);
		return msg;
	}

}
